--- old/usr/src/uts/common/io/qede/579xx/drivers/ecore/ecore_dcbx.c	Fri Oct  5 15:14:40 2018
+++ new/usr/src/uts/common/io/qede/579xx/drivers/ecore/ecore_dcbx.c	Fri Oct  5 15:14:40 2018
@@ -33,6 +33,10 @@
 * limitations under the License.
 */
 
+/*
+ * Copyright 2018 Joyent, Inc.
+ */
+
 #include "bcm_osal.h"
 #include "ecore.h"
 #include "ecore_sp_commands.h"
@@ -241,7 +245,6 @@
 {
 	enum ecore_pci_personality personality;
 	enum dcbx_protocol_type id;
-	char *name;
 	int i;
 
 	for (i = 0; i < OSAL_ARRAY_SIZE(ecore_dcbx_app_update); i++) {
@@ -251,7 +254,6 @@
 			continue;
 
 		personality = ecore_dcbx_app_update[i].personality;
-		name = ecore_dcbx_app_update[i].name;
 
 		ecore_dcbx_set_params(p_data, p_hwfn, enable,
 				      prio, tc, type, personality);
@@ -999,7 +1001,7 @@
 
 		rc = ecore_dcbx_process_mib_info(p_hwfn);
 		if (!rc) {
-			bool enabled;
+			bool enabled __unused;
 
 			/* reconfigure tcs of QM queues according
 			 * to negotiation results
